gstreamermm: Gst::TypeFindFactory Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions
Gst::TypeFindFactory Class Reference

A class used to get information about registered typefind functions. More...

Inheritance diagram for Gst::TypeFindFactory:
[legend]
Collaboration diagram for Gst::TypeFindFactory:
[legend]

List of all members.

## Public Member Functions
virtual | ~TypeFindFactory ()
GstTypeFindFactory* | gobj ()
| Provides access to the underlying C GObject.
const GstTypeFindFactory* | gobj () const
| Provides access to the underlying C GObject.
GstTypeFindFactory* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::StringArrayHandle | get_extensions () const
| Gets the extensions associated with a Gst::TypeFindFactory.
Glib::RefPtr< Gst::Caps > | get_caps ()
| Gets the Gst::Caps associated with a typefind factory.
Glib::RefPtr< const Gst::Caps > | get_caps () const
| Gets the Gst::Caps associated with a typefind factory.
void | call_slot (Gst::TypeFind&find)
| Calls the Gst::TypeFind::SlotFind associated with this factory.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::ListHandle < Glib::RefPtr < Gst::TypeFindFactory > > | get_list ()
| Gets the list of all registered typefind factories.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gst::TypeFindFactory > | wrap (GstTypeFindFactory* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A class used to get information about registered typefind functions.

The methods in this class allow querying information about registered typefind functions.

Writing typefinders in C++ is not possible presently.

Last reviewed on 2005-11-09 (0.9.4).

## Constructor & Destructor Documentation

virtual Gst::TypeFindFactory::~TypeFindFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

void Gst::TypeFindFactory::call_slot | ( | Gst::TypeFind& | find | ) |

Calls the Gst::TypeFind::SlotFind associated with this factory.

Parameters:

  find | A properly setup Gst::TypeFind entry. The get_data and suggest_type members must be set.

Glib::RefPtr<Gst::Caps> Gst::TypeFindFactory::get_caps | ( |  | ) |

Gets the Gst::Caps associated with a typefind factory.

Returns:
  The Gst::Caps associated with this factory.

Glib::RefPtr<const Gst::Caps> Gst::TypeFindFactory::get_caps | ( |  | ) | const

Gets the Gst::Caps associated with a typefind factory.

Returns:
  The Gst::Caps associated with this factory.

Glib::StringArrayHandle Gst::TypeFindFactory::get_extensions | ( |  | ) | const

Gets the extensions associated with a Gst::TypeFindFactory.

The returned array should not be changed. If you need to change stuff in it, you should copy it using Glib::strdupv(). This function may return `0` to indicate a 0-length list.

Returns:
  A `0`-terminated array of extensions associated with this factory.

static Glib::ListHandle< Glib::RefPtr<Gst::TypeFindFactory> > Gst::TypeFindFactory::get_list | ( |  | ) | `[static]`

Gets the list of all registered typefind factories.

You must free the list using Gst::PluginFeature::list_free().

The returned factories are sorted by highest rank first, and then by factory name. (behaviour change since 0.10.26)

Free-function: gst_plugin_feature_list_free

Returns:
  The list of all registered Gst::TypeFindFactory.

static GType Gst::TypeFindFactory::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::PluginFeature.

GstTypeFindFactory* Gst::TypeFindFactory::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PluginFeature.

const GstTypeFindFactory* Gst::TypeFindFactory::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PluginFeature.

GstTypeFindFactory* Gst::TypeFindFactory::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::PluginFeature.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TypeFindFactory > wrap | ( | GstTypeFindFactory * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/typefindfactory.h